import {world} from "@minecraft/server";

world.afterEvents.itemUse.subscribe(event => {
    let item = event.itemStack.typeId;       
    let player = world.getDimension("overworld");
    
    if(item === "minecraft:stone_sword") {
        player.runCommandAsync('dialogue open @e[tag=npc1] @e[type=player,tag=!duel]');
    }
    if(item === "minecraft:iron_sword") {
        player.runCommandAsync('dialogue open @e[tag=npc2] @e[type=player,tag=!duel]');
    }
    if(item === "minecraft:compass") {
        player.runCommandAsync('dialogue open @e[tag=setting] @e[type=player,tag=!duel]');
    }
    if(item === "minecraft:slime_ball") {
        player.runCommandAsync('dialogue open @e[tag=npc3] @e[type=player,tag=!duel]');
        player.runCommandAsync('kill @e[type=da1:pvpbot]');
    }
})