import { world, system } from '@minecraft/server';

world.afterEvents.entityHurt.subscribe(({ hurtEntity, damageSource }) => {
  for (const player of world.getPlayers()) {  
    const a=player.hasTag("sprint")
    const b=player.isOnGround
    if (                                                            
    hurtEntity.typeId === "da1:pvpbot" &&
    damageSource.damagingEntity.typeId  === "minecraft:player"
  ) return;
  const botloc = damageSource.damagingEntity.location
  const playerloc = hurtEntity.location
  const directionX = playerloc.x - botloc.x
  const directionZ = playerloc.z - botloc.z
  const magnitude = Math.sqrt(directionX * directionX + directionZ * directionZ)
  const newdirX = directionX / magnitude
  const newdirZ = directionZ / magnitude
  player.runCommandAsync('scoreboard players add @e[type=da1:pvpbot] hit 1')
  player.runCommandAsync('scoreboard players add Bot hit2 1')
    if(!a&&b)  {
      hurtEntity.applyKnockback( newdirX, newdirZ, 0.32, .4)
      break;  //
    }
    if(!a&&!b)  {
      hurtEntity.applyKnockback( newdirX, newdirZ, 0.58, .39)
      break;  //
    } 
    if(a&&b)  {
      hurtEntity.applyKnockback( newdirX, newdirZ, 0.18, .4)
      break;  //
    }     
    if(a&&!b) {
      hurtEntity.applyKnockback( newdirX, newdirZ, 0.45, .39)
      break;    //
    }
  }
});
