import { world, system } from '@minecraft/server';

world.afterEvents.entityHurt.subscribe(({ hurtEntity, damageSource }) => {  
  for (const player of world.getPlayers()) {  
  const a = hurtEntity.isOnGround
  const botloc = damageSource.damagingEntity.location
  const playerloc = hurtEntity.location
  const directionX = playerloc.x - botloc.x
  const directionZ = playerloc.z - botloc.z
  const magnitude = Math.sqrt(directionX * directionX + directionZ * directionZ)
  const newdirX = directionX / magnitude
  const newdirZ = directionZ / magnitude
  hurtEntity.clearVelocity();
  damageSource.damagingEntity.addEffect("weakness", 8, { amplifier: 255, showParticles: false });
  if (hurtEntity.typeId == "minecraft:player" && damageSource.damagingEntity.typeId  == "da1:pvpbot")return;
  player.runCommandAsync('scoreboard players add @e[type=player] hit 1')
  player.runCommandAsync('scoreboard players add @e[type=player] hit2 1')
  if (!a) {
  hurtEntity.applyImpulse({ x: newdirX / 3.31, y: 0.365, z: newdirZ / 3.31 });
  break;
  } else {
  hurtEntity.applyImpulse({ x: newdirX / 100, y: 0.365, z: newdirZ / 100 });
  break;  
  }
 }
})